Summary:	Bibliography reference management tool for GNOME
Name:		referencer
Version:	1.1.6
Release:	%mkrel 10
Source0:	http://icculus.org/referencer/downloads/%{name}-%{version}.tar.gz
# 48x48 PNG from referencer.svg in package, generated with GIMP
Source1:	referencer.png
Patch0:		referencer-1.1.6-poppler-0.16.0.patch
License:	GPLv2
Group:		Graphical desktop/GNOME
URL:		http://icculus.org/referencer/index.html
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	gtkmm2.4-devel
BuildRequires:	libgnomeuimm2.6-devel
BuildRequires:	gnome-vfsmm2.6-devel
BuildRequires:	libglademm2.4-devel
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	gconfmm2.6-devel
BuildRequires:	boost-devel
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:	imagemagick
BuildRequires:	intltool

%description
Referencer is a GNOME application to organise documents or references, and 
ultimately generate a BibTeX bibliography file.

%prep
%setup -q
%patch0 -p0 -b .poppler

%build
autoreconf -fi
%configure2_5x --disable-update-mime-database
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# fd.o icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{scalable,48x48,32x32,16x16}/apps
install -m 644 %{buildroot}%{_datadir}/pixmaps/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
install -m 644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*
%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc README AUTHORS ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/48x48/mimetypes/gnome-mime-application-x-%{name}.png
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/omf/*/*-C.omf
%lang(de) %{_datadir}/omf/*/*-de.omf




%changelog

* Mon Nov 28 2011 fwang <fwang> 1.1.6-10.mga2
+ Revision: 173637
- rebuild for new boost

* Tue Sep 27 2011 ovitters <ovitters> 1.1.6-9.mga2
+ Revision: 149635
- update patch for poppler 0.18
- rebuild for new poppler

  + fwang <fwang>
    - rebuild for new boost

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Wed Jun 22 2011 fwang <fwang> 1.1.6-7.mga2
+ Revision: 112011
- rebuild for new boost

* Thu Apr 21 2011 cjw <cjw> 1.1.6-6.mga1
+ Revision: 89632
- imported package referencer

